<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="viewModel"
            type="com.brigitlyons.vlakbij.viewmodel.OptionsViewModel" />
    </data>

    <android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:tools="http://schemas.android.com/tools"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        tools:context=".view.OptionsFragment">

        <android.support.constraint.Guideline
            android:id="@+id/guideline"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_percent="0.5" />

        <TextView
            android:id="@+id/location_header"
            style="@style/InfoText.Bold"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/your_location"
            app:layout_constraintBaseline_toBaselineOf="@+id/location"
            app:layout_constraintHorizontal_bias="1"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintRight_toLeftOf="@id/guideline" />

        <TextView
            android:id="@+id/location"
            style="@style/InfoText"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@{viewModel.locationText}"
            app:layout_constraintBottom_toTopOf="@id/query_input"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintLeft_toRightOf="@id/guideline"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_chainStyle="packed"
            tools:text="123, 123" />

        <EditText
            android:id="@+id/query_input"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="50dp"
            android:layout_marginEnd="50dp"
            android:layout_marginBottom="28dp"
            android:gravity="center_horizontal"
            android:hint="@string/search_query_hint"
            android:maxLength="25"
            android:singleLine="true"
            android:text="@={viewModel.query}"
            app:layout_constraintBottom_toTopOf="@id/show_venues_btn"
            app:layout_constraintTop_toBottomOf="@id/location" />

        <TextView
            android:id="@+id/show_venues_btn"
            style="@style/TextButton"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:onClick="@{viewModel.showVenuesButtonClick()}"
            android:text="@string/show_venues_btn_text"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/query_input" />
    </android.support.constraint.ConstraintLayout>
</layout>
